package com.engine.recruit.conn;

import cn.hutool.core.convert.Convert;
import weaver.general.Util;

import java.util.HashMap;

/**
 * 聚才林数据集合
 * </p>
 * key忽略大小写
 *
 * @author:dxfeng
 * @createTime: 2023/10/19
 * @version: 1.0
 */
public class RecruitDataMap<V> extends HashMap<String, V> {
    @Override
    public V get(Object key) {
        if (key instanceof String) {
            // 将键转为小写形式再进行查找
            return super.get(((String) key).toLowerCase());
        }
        return null;
    }

    @Override
    public V put(String key, V value) {
        // 将键转为小写形式后作为真正的键
        return super.put(key.toLowerCase(), value);
    }

    /**
     * 获取int类型数据
     *
     * @param key
     * @return
     */
    public Integer getInt(Object key) {
        if (key instanceof String) {
            // 将键转为小写形式再进行查找
            return Convert.toInt(super.get(((String) key).toLowerCase()),null);
        }
        return 0;
    }

    /**
     * 获取String类型数据
     *
     * @param key
     * @return
     */
    public String getString(Object key) {
        if (key instanceof String) {
            // 将键转为小写形式再进行查找
            return Util.null2String(super.get(((String) key).toLowerCase()));
        }
        return null;
    }
}
